.ReportBody {
	padding:   15px;
}
.ReportButtons {
	margin-top:10px;
}
    .ReportButtons .list-inline > li
    {
        padding:0;
        margin:0 5px 0 0;
    }
.ReportButtons button, .ReportButtons input[type=submit], .ReportButtons input[type=button]
{
    margin:0;
}
.ReportHeader {
	padding:15px;
}
.ReportParameters {
	background-color: #f3f3f3;
	border: 1px solid #ddd;
    border-radius:4px;
	padding: 12px;
}
.ReportParameters hr {
    margin:10px 0 13px 0;
}
.ReportParameters label {
    color: #333;
    font-weight: bold !important;
    margin-right: 4px;
}
    .ReportParameters .form-check label {
        font-weight: normal !important;
    }
.ReportParameters .ParameterGroupHead {
    background-color: var(--light);
    border: solid 1px #ddd;
    border-radius:4px;
    font-weight:bold;
    margin-top: 40px;
    margin-bottom:10px;
    padding:15px 20px;
}
.ReportParameters .ParameterGroupHead:first-child {
    margin-top: 0px;
}
.ReportParameters .ParameterGroupHead span {
    background-color: #a3a3a3;
    color: #fff;
    font-size: 11px;
    padding:3px 6px 2px 5px;
    text-transform: uppercase;
}
.ReportParameters .form-control {
    display:inline-block !important;
    width:auto;
}
.ReportParameter {
    margin-bottom: 12px;
    margin-left:10px;
}
    .ReportParameter label {
        font-weight:bold !important;
    }
.ReportParameterGrid {
    margin-left:10px;
}
    .ReportParameterGrid td {
        padding: 0 15px 18px 0;
    }
    .ReportParameterGrid tr:last-child td {
        padding: 0 15px 0px 0;
    }
    .ReportParameterGrid tr.labels td {
        padding-bottom: 3px;
    }
.ReportNoRecords {
	border: 1px solid #CCCCCC;
	color: #CC3300;
	font-weight: bold;
	padding: 10px;
}
.ReportTable
{
    border-color:#ccc;
}
.ReportCell,
.ReportTable td 
{
	border-bottom: 1px solid #CCCCCC;
	line-height:165%;
	padding:3px 8px 3px 3px;
}
.ReportColHeader {
	background-color: #F0F0F0;
	border-bottom:solid 1px #cccccc;
	color: #666666;
	padding:5px 8px 5px 3px;
}
.ReportColHeader a {
	color: #666666;
	text-decoration:none;
}
.ReportColHeader a:hover {
	text-decoration:underline;
}
.ReportColFooter {
	background-color: white;
	color: #000000;
	font-weight: bold;
}
.ReportColFooter td {
	padding:12px 8px 3px 3px;
}
.ReportColFooter a {
	color: #666666;
	text-decoration:none;
}
.ReportColFooter a:hover {
	text-decoration:underline;
}
.ReportFooter {
	background-color:#f7f7f7;
	color:#666666;
	padding:6px;
}
.AlignLeft {
	text-align:left !important;
}
.AlignRight {
	text-align:right !important;
}
.AlignCenter {
	text-align:center !important;
}
.table-shaded-col-header th {
    background-color: #eeeeee;
    text-align: left;
    vertical-align:middle !important;
}
.table-shaded-col-header th.text-center {
    text-align: center;
}
.table-shaded-col-header th a {
    color: #333;
    text-align: left;
    text-decoration: none;
}
a[target^="_blank"]:not(:empty)::after
{
    font-family: 'Font Awesome 5 Pro';
    font-size:75%;
    color:#bbb;
    content: " \f08e";
    margin-left:5px;
    display:inline-block;
}
